package io.tswf.minecraft.metamorphosis.core.reading

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor
import io.tswf.minecraft.metamorphosis.core.model.FileHooksInfo

interface IFileHooksReadingProvider {
    void handleFileHooksReading(FileHooksReadingContext context)
}

@CheckedMapConstructor
@CompileStatic
class FileHooksReadingContext {
    FileHooksInfo hooksInfo
}