package io.tswf.minecraft.metamorphosis.core.util.constants

import groovy.transform.CompileStatic

@CompileStatic
class ZipEntryNames {
    public static final String METAMORPHOSIS_FOLDER = "META-INF/metamorphosis"
    public static final String HOOKS_INFO_PREFIX = "${METAMORPHOSIS_FOLDER}/hooks"

    public static final String HOOKS_JSON = "${HOOKS_INFO_PREFIX}.json"
    public static final String HOOKS_PROPERTIES = "${HOOKS_INFO_PREFIX}.properties"
    public static final String HOOKS_AUTO = "${HOOKS_INFO_PREFIX}.auto.properties"
}
