package io.tswf.minecraft.metamorphosis.core.model

import groovy.transform.CompileStatic
import io.tswf.groovy.bettergroovy.transforms.validation.checkedmapconstructor.CheckedMapConstructor

@CheckedMapConstructor
@CompileStatic
class FileHooksInfo {
    File file

    HooksInfo client = new HooksInfo()
    HooksInfo server = new HooksInfo()

    void addAll(FileHooksInfo anotherHooks) {
        if (anotherHooks != this) {
            anotherHooks?.client?.let {
                client.addAll(it)
            }

            anotherHooks?.server?.let {
                server.addAll(it)
            }
        }
    }
}
